Skip to content

List 'Autogiropayerconnection'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Query
_jsonlboolean
_order_byArray of strings
Example:_order_by=field_a,-field_b
_pageinteger, (int32), >= 1

Additional Validation Information:

This value must be set together with the following fields: _page_size

_page_sizeinteger, (int32)

Additional Validation Information:

This value must be set together with the following fields: _page

_slimboolean
_statisticsboolean
global_realestatesArray of any
global_segmentsArray of any
created_atany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: gt, Supports negation (via !): True

Operator: gte, Supports negation (via !): True

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

Operator: lt, Supports negation (via !): True

Operator: lte, Supports negation (via !): True

custom_idany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: contains, Supports negation (via !): True

Operator: endswith, Supports negation (via !): True

Operator: icontains, Supports negation (via !): True

Operator: iendswith, Supports negation (via !): True

Operator: iexact, Supports negation (via !): True

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

Operator: istartswith, Supports negation (via !): True

Operator: startswith, Supports negation (via !): True

idany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

organizationany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

payer_numberany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: contains, Supports negation (via !): True

Operator: endswith, Supports negation (via !): True

Operator: icontains, Supports negation (via !): True

Operator: iendswith, Supports negation (via !): True

Operator: iexact, Supports negation (via !): True

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

Operator: istartswith, Supports negation (via !): True

Operator: startswith, Supports negation (via !): True

payment_methodany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

sub_tenantany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

tenantany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

GET
/accounting/accounttypes/autogiropayerconnection/list/
curl -i -X GET \
  'https://dev.api.pigello.io/accounting/accounttypes/autogiropayerconnection/list/?_jsonl=true&_order_by=field_a%2C-field_b&_page=1&_page_size=0&_search=string&_slim=true&_statistics=true&global_realestates=&global_segments=&created_at=%7Bcreated_at%7D&custom_id=%7Bcustom_id%7D&id=%7Bid%7D&organization=%7Borganization%7D&payer_number=%7Bpayer_number%7D&payment_method=%7Bpayment_method%7D&sub_tenant=%7Bsub_tenant%7D&tenant=%7Btenant%7D' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful query

Bodyapplication/json
Array [
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

payer_numberstring, <= 16 characters'^\d+$'required
payment_methodobject(Paymentmethod)required
custom_idstring or null, <= 128 characters
organizationobject or null(Organization)
tenantobject or null(Tenant)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: sub_tenant

This field, or at least one of the following fields must be set: sub_tenant

sub_tenantobject or null(Subtenant)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: tenant

This field, or at least one of the following fields must be set: tenant

created_atstring, (date-time)read-only
]
Response
[ { "custom_id": "string", "organization": {}, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "tenant": {}, "payer_number": "string", "sub_tenant": {}, "created_at": "2019-08-24T14:15:22Z", "payment_method": {} } ]